body {
    display: flex;
    flex-direction: column;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: center;
    min-height: 100vh;
    background-attachment: fixed;
    background-image: url(imagens/fundo.png);

    ::selection {
        color: rgba(0, 0, 0, 0.2);
        background: rgba(255, 255, 255, 0.3);
    }

    font-family: Arial,
    Helvetica,
    sans-serif,
    Helvetica,
    sans-serif;
}
.center{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}
iframe{
    border-radius: 20px;
    margin: 1% 5%;
}
#navega {
    top: 0;
    align-self: center;
    width: 30vw;
    height: 110vh;
    text-align: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    z-index: 9999;
    position: fixed;
}

#navega:hover {
    cursor: pointer;
}

.glass {
    /* Cor de fundo com transparência */
    background: rgba(255, 255, 255, 0.2);
    /* O efeito de desfoque (principal) */
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    /* Sombra para profundidade */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.NavegaSide {
    left: -31vw;
    transition: left 0.1s ease-in;
    padding: 20px;
}

.NavegaSide.aberta {
    left: 0%;
}

main {
    margin: 1% 2%;
    color: rgba(255, 255, 255, 0.8);
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.8);
    font-size: large;
    font-weight: bolder;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.logo {
    width: 40%;
    margin-top: 10%;
    border-radius: 50%;
}

.botaonav {
    margin: 4%;
    width: 90%;
    height: 9%;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.2);
    border-radius: 60px;
    transition: all 0.3s;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    color: rgba(0, 0, 0, 0.6);
    font-size: 150%;
    font-weight: bolder;
}

.botaonav:hover {
    box-shadow: 0px 00px rgba(0, 0, 0, 0.404);
    color: rgba(255, 255, 255, 0.6);
    width: 92%;
    height: 11%;
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(1px);
    background: rgba(255, 255, 255, 0.4);
}

section {
    width: 25em;
    color: rgba(255, 255, 255, 0.8);
    border-radius: 20px;
    padding: 0.1rem;
    margin: 0% 1% 2% 2%;
    font-size: 1em;
    transition: all 0.3s ease;  
}

.GlassSection {
    /* Cor de fundo com transparência */
    background: rgba(255, 255, 255, 0.1);
    /* O efeito de desfoque (principal) */
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
    /* Sombra para profundidade */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.GlassSection:hover {
    /* Cor de fundo com transparência */
    background: rgba(255, 255, 255, 0.3);
    /* O efeito de desfoque (principal) */
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    /* Sombra para profundidade */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
}

p {
    margin: 2%;
    font-size: clamp(2.5vw, 2.5vh, 2.5vh);
    font-weight: bolder;
}
li {
    color: rgba(200, 200, 200, 0.8);
    margin: 2%;
    font-size: clamp(1.5vw, 1.5vh, 1.5vh);
}

footer {
    padding: 1rem;
    clear: both;
    text-align: center;
    color: rgba(255, 255, 255, 0.6);
    text-shadow: 5px 5px 5px rgba(0, 0, 0, 0.8);
    font-weight: bolder;
}

#relogio {
    color: rgba(255, 255, 255, 0.6);
    text-shadow: 15px 15px 10px rgba(0, 0, 0, 0.5);
    font-size:clamp(200%,800%,500%);
}
.footerimg{
    width: 3%;
    margin: 0.2%;
    transition: all 0.3s;
}
.footerimg:hover{
    width: 5%;
}